Package: grails.transaction

## [Java] Interface TransactionManagerAware

- Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)` Sets the transaction manager on implementors

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @org.springframework.beans.factory.annotation.Autowired public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

      Sets the transaction manager on implementors

      Parameters:
        `transactionManager` - The TransactionManager implementation